Bug 1900227 - Search settings from no longer apply to tracker / tracker3, resulting in scanned Downloads
Summary: Search settings from no longer apply to tracker / tracker3, resulting in scan...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-21 15:51 UTC by Fabio Valentini
Modified: 2021-01-22 22:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-22 22:38:11 UTC
Type: Bug
bcotton: fedora_prioritized_bug+


Attachments (Terms of Use)

Description Fabio Valentini 2020-11-21 15:51:40 UTC
Filing this bug after discussion on discussion.fpo:
https://discussion.fedoraproject.org/t/is-tracker-scanning-downloads-again-despite-the-folder-being-ignored/24828

It looks like the preferences which folders to index from the "Search" panel of gnome-control-center no longer affect tracker settings correctly. For example, I have turned off Search / indexing of the Downloads folder in gnome-control-center for privacy / security reasons, but this setting only appears to take effect, while the GSettings values for tracker / tracker 3 are unchanged:

org.freedesktop.Tracker3.Miner.Files
  index-single-directories ['$HOME', '&DOWNLOAD']
org.freedesktop.Tracker3.Miner.Files
  index-recursive-directories ['&DOCUMENTS', '&MUSIC', '&PICTURES', '&VIDEOS', '/home/deca/University']
org.freedesktop.Tracker3.Miner.Files
  ignored-directories ['po', 'CVS', 'core-dumps', 'lost+found']
org.freedesktop.Tracker3.Miner.Files
  ignored-directories-with-content ['.trackerignore', '.git', '.hg', '.nomedia']

org.freedesktop.Tracker.Miner.Files
  index-single-directories ['$HOME', '&DOWNLOAD']
org.freedesktop.Tracker.Miner.Files
  ignored-directories ['po', 'CVS', 'core-dumps', 'lost+found']
org.freedesktop.Tracker.Miner.Files
  index-recursive-directories ['&DOCUMENTS', '&MUSIC', '&PICTURES', '&VIDEOS', '/home/deca/University']
org.freedesktop.Tracker.Miner.Files
  ignored-directories-with-content ['.trackerignore', '.git', '.hg', '.nomedia']

Both for tracker and tracker3, Downloads folder is listed in "index-single-directories" despite it being explicitly *disabled*.

Checking with strace, I can confirm that the tracker-miner-fs-3 process are indeed scanning the Downloads folder, as there are many calls like this one:

statx(AT_FDCWD, "/home/deca/Downloads/$FILENAME", AT_STATX_SYNC_AS_STAT|AT_SYMLINK_NOFOLLOW|AT_NO_AUTOMOUNT, STATX_ALL, {stx_mask=STATX_ALL|STATX_MNT_ID, stx_attributes=0, stx_mode=S_IFREG|0664, stx_size=40629933, ...}) = 0


Wasn't scanning of Downloads with tracker considered a security risk, with it getting turned off by default at some point?

I also wanted to try changing tracker settings manually without using GNOME Settings, but it appears that the tracker-preferences GUI application no longer exists or is no longer shipped in fedora :(

Comment 1 Fabio Valentini 2020-11-21 17:02:22 UTC
Note that after removing the "old" non-tracker-3 packages, gnome-control-center doesn't even let me open the "Search locations" dialog. Looks like it's pointed at the tracker < 3 GSettings keys? Which might explain why changing the settings there doesn't actually affect the running tracker-3 daemons.

Comment 2 Fabio Valentini 2020-11-21 17:05:41 UTC
I also think that the default value in the GSettings schema for indexed folders should probably not include the Downloads folder ...

Comment 3 Ben Cotton 2020-12-02 18:27:05 UTC
This bug (specifically the part where the exclusions are not respected) is accepted as a Fedora Prioritized Bug:
https://meetbot.fedoraproject.org/fedora-meeting/2020-12-02/fedora_prioritized_bugs_and_issues.2020-12-02-16.00.log.html#l-36

The question of what the default settings should be are not a part of the Prioritized Bug status and may be better as a separate RFE bug.

Comment 4 Fabio Valentini 2021-01-13 16:57:28 UTC
It looks like I can no longer reproduce this issue with the latest tracker3 and gnome-control-center updates in F33.
I'll continue trying, but if it doesn't happen again, I will close this bug and consider it fixed.

Comment 5 Ben Cotton 2021-01-22 20:26:14 UTC
(In reply to Fabio Valentini from comment #4)
> It looks like I can no longer reproduce this issue with the latest tracker3
> and gnome-control-center updates in F33.
> I'll continue trying, but if it doesn't happen again, I will close this bug
> and consider it fixed.

Are you satisfied that the behavior is fixed, or should we keep this open a little longer?

Comment 6 Fabio Valentini 2021-01-22 22:38:11 UTC
I can no longer reproduce the original issue. Neither does tracker crash when downloading things, nor does strace show any tracker-miner-fs activity.

So I think we can call this fixed with the latest F33 updates. Thanks for the ping. :-)


Note You need to log in before you can comment on or make changes to this bug.